#!/bin/bash -e
cd "$(dirname "$0")"
. ../lib.sh

ISO=(
    [fedora39.iso]='https://download.fedoraproject.org/pub/fedora/linux/releases/39/Workstation/x86_64/iso/Fedora-Workstation-Live-x86_64-39-1.5.iso'
)

if ! [ -f hda.qcow2 ]; then
    ask_yn 'hda not found, create?' || exit 1
    qemu-img create -f qcow2 hda.qcow2 20G
    download_isos
fi

qemu "$@" \
    #-device usb-host,vendorid=0xffff,productid=0xffff
